Subject: Re: bug#43866: 26.3; italian postfix additions

From: Juri Linkov <[email-masked]>
Date: Tue, 20 Oct 2020 21:44:54 +0300

>     Eli> The implementation seems to rely on a file in the /usr/include tree
>     Eli> that might not be there.  This is a significant disadvantage, IMO.  It
>     Eli> means that, unlike all other similar facilities in Emacs, this one is
>     Eli> not self-contained.
>
>     Eli> Is it possible to lift this limitation?
>
> Aren't all those definitions in lisp/term/x-win.el anyway?

It seems the list in lisp/term/x-win.el is not needed at run-time,
since Eli want to pre-generate these keymappings, so at the time
of generation, keysymdef.h can be used because we need such mappings as
from XK_Aogonek to U+0104, not from 0x01a1 to U+0104 like in x-win.el.

The only remaining problem with keysymdef.h is how to process such
definitions in keysymdef.h:

#define XK_KP_Enter                      0xff8d  /* Enter */

There is no Unicode character, even in x-win.el.
I guess it should be hard-coded to map directly to [kp-enter].